package gametemplate;

import javax.microedition.lcdui.*;

public class GameDisplay extends Canvas implements CommandListener
{

    /**Construct the displayable*/
    public GameDisplay()
    {
        try {
            jbInit();
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }
    }


    /**Component initialization*/
    private void jbInit() throws Exception {
        // set up this Displayable to listen to command events
        setCommandListener(this);
        // add the Exit command
        addCommand(new Command("Exit", Command.EXIT, 1));
    }


    /**Handle command events*/
    public void commandAction(Command command, Displayable displayable)
    {
        /** @todo Add command handling code */
        if (command.getCommandType() == Command.EXIT)
        {
            // stop the MIDlet
            Game.quitApp();
        }
    }


    /** Required paint implementation */
    protected void paint(Graphics g)
    {
        g.drawString("Game Template",10,10,Graphics.TOP|Graphics.LEFT);
    }


}
