package gametemplate;

import javax.microedition.lcdui.*;

/**
UI_Instructions
 */

public class UI_Instructions extends Form implements CommandListener
{
    private final Game gameMidlet;

    /**Constructor */
    public UI_Instructions(Game _gameMidlet)
    {
        super(Resources.MENU_INSTRUCTIONS);
        gameMidlet = _gameMidlet;
        append(Resources.INSTRUCTIONS);
        addCommand(new Command(Resources.MENU_BACK, Command.BACK, 1));
        setCommandListener(this);
    }


    /** Back key press */
    public void commandAction(Command c, Displayable d)
    {
        // The only command defined is 'Back'.
        gameMidlet.changeScreen(gameMidlet.mainMenu);
    }


}