package gametemplate;

import javax.microedition.lcdui.*;

/**
UI_Options
 */

public class UI_Options extends List implements CommandListener
{
    private final Game gameMidlet;


    UI_Options(Game _gameMidlet)
    {
        super(Resources.MENU_OPTIONS, List.IMPLICIT);
        gameMidlet = _gameMidlet;
        append(Resources.SOUND_ON, null);
        append(Resources.SOUND_OFF, null);
        setCommandListener(this);
    }


    public void commandAction(Command c, Displayable d)
    {
        String str = getString(getSelectedIndex());

        if (c == SELECT_COMMAND)
        {
             if (str.equals(Resources.SOUND_ON))
            {
                //Display.soundOn = true;
                gameMidlet.changeScreen(gameMidlet.mainMenu);
            }
            else if (str.equals(Resources.SOUND_OFF))
            {
                //Display.soundOn = false;
                gameMidlet.changeScreen(gameMidlet.mainMenu);
            }
        }
    }


}